#ifndef _DEF_LAUNCH

#define _DEF_LAUNCH

#define _WIN32_IE 0x0300

#include <windows.h>
#include <shlobj.h>
#include <limits.h>
#include <sys/types.h>
#include <winsock.h>
#include <windowsx.h>
#include "resource.h"

#define APP_TITLE "PuyoFWin U`[ Ver.1.4"

BOOL SetPuyoSettingStr(LPCTSTR szSection, LPCTSTR szKey, LPCTSTR szValue);
LPTSTR GetPuyoSettingStr(LPCTSTR szSection, LPCTSTR szKey, LPCTSTR szDefault);
INT GetPuyoSettingInt(LPCTSTR szSection, LPCTSTR szKey, INT nDefault);
BOOL SetPuyoSettingInt(LPCTSTR szSection, LPCTSTR szKey, INT nValue);

INT GetAppSettingInt(LPCTSTR pszSection, LPCTSTR pszKey, INT nDefault);
LPTSTR GetAppSettingStr(LPCTSTR pszSection, LPCTSTR pszKey, LPCTSTR pszDefault);
INT SetAppSettingStr(LPCTSTR pszSection, LPCTSTR pszKey, LPCTSTR pszData);
INT SetAppSettingIntX(LPCTSTR pszSection, LPCTSTR pszKey, INT nData);
INT SetAppSettingInt(LPCTSTR pszSection, LPCTSTR pszKey, INT nData);

LPTSTR GetPuyoDataPath();
LPTSTR GetPuyoInstallPath();
BOOL DoSetup();

#endif
