#ifndef _DEF_LAUNCH

#define _DEF_LAUNCH

#define _WIN32_IE 0x0300

#pragma comment(lib, "ws2_32.lib")
#pragma comment(lib, "imm32.lib")
#pragma comment(lib, "winmm.lib")
#pragma comment(lib, "ole32.lib")
#pragma comment(lib, "gdi32.lib")
#pragma comment(lib, "user32.lib")
#pragma comment(lib, "msacm32.lib")
#pragma comment(lib, "shell32.lib")
#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "comdlg32.lib")
#pragma comment(lib, "advapi32.lib")

#include <windows.h>
#include <stdlib.h>
#include <string.h>
#include <shlobj.h>
#include <limits.h>
#include <sys/types.h>
#include <winsock.h>
#include <windowsx.h>
#include "resource.h"

#define APP_TITLE "PuyoFWin U`[ 2.08"

BOOL SetPuyoSettingStr(LPCTSTR szSection, LPCTSTR szKey, LPCTSTR szValue);
LPTSTR GetPuyoSettingStr(LPCTSTR szSection, LPCTSTR szKey, LPCTSTR szDefault);
INT GetPuyoSettingInt(LPCTSTR szSection, LPCTSTR szKey, INT nDefault);
BOOL SetPuyoSettingInt(LPCTSTR szSection, LPCTSTR szKey, INT nValue);

INT GetAppSettingInt(LPCTSTR pszSection, LPCTSTR pszKey, INT nDefault);
LPTSTR GetAppSettingStr(LPCTSTR pszSection, LPCTSTR pszKey, LPCTSTR pszDefault);
INT SetAppSettingStr(LPCTSTR pszSection, LPCTSTR pszKey, LPCTSTR pszData);
INT SetAppSettingIntX(LPCTSTR pszSection, LPCTSTR pszKey, INT nData);
INT SetAppSettingInt(LPCTSTR pszSection, LPCTSTR pszKey, INT nData);

LPTSTR GetPuyoDataPath();
LPTSTR GetPuyoInstallPath();
BOOL DoSetup();

int Ping();
int  WaitForEchoReply(SOCKET s);
unsigned short in_cksum(unsigned short *addr, int len);
int		SendEchoRequest(SOCKET, LPSOCKADDR_IN);
DWORD	RecvEchoReply(SOCKET, LPSOCKADDR_IN, unsigned char *);

#endif
